<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2017 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  require('includes/languages/' . $language . '/feedback.php');
  require('includes/languages/' . $language . '/feedback_reviews.php');

  $breadcrumb->add(NAVBAR_TITLE, tep_href_link('feedback.php'));
  $breadcrumb->add(NAVBAR_TITLE_REVIEWS, tep_href_link('feedback_reviews.php'));

  require('includes/template_top.php');
?>

<div class="page-header">
  <h1><?php echo HEADING_TITLE_FEEDBACK_REVIEWS; ?></h1>
</div>

<div class="contentContainer">
  <div class="contentText">
    <div class="alert alert-info"><?php echo TEXT_INFORMATION_FEEDBACK_REVIEWS; ?></div>
  </div>
  <p>&nbsp;</p>
  <div class="contentText">
<?php
    $feedback_query_raw = "select f.feedback_id, fd.feedback_text, f.customers_name, f.feedback_rating, f.date_added from feedback f, feedback_description fd where f.feedback_id = fd.feedback_id and fd.languages_id = '" . (int)$languages_id . "' and feedback_status = 1 order by f.feedback_id DESC";
    $feedback_split = new splitPageResults($feedback_query_raw, MAX_DISPLAY_NEW_REVIEWS);

    if ($feedback_split->number_of_rows > 0) {
      if ((PREV_NEXT_BAR_LOCATION == '1') || (PREV_NEXT_BAR_LOCATION == '3')) {
?>
  <div class="row">
    <div class="col-sm-6 pagenumber hidden-xs">
      <?php echo $feedback_split->display_count(TEXT_DISPLAY_NUMBER_OF_FEEDBACK_REVIEWS); ?>
    </div>
    <div class="col-sm-6">
      <span class="pull-right pagenav"><ul class="pagination"><?php echo $feedback_split->display_links(MAX_DISPLAY_PAGE_LINKS, tep_get_all_get_params(array('page', 'info'))); ?></ul></span>
      <span class="pull-right"><?php echo TEXT_RESULT_PAGE; ?></span>
    </div>
  </div>
<?php
    }

    $feedback_query = tep_db_query($feedback_split->sql_query);
	while ($feedback = tep_db_fetch_array($feedback_query)) {
      $rating=$feedback['feedback_rating'];
      if (is_null($rating)) $i="";
         elseif($rating==1) $i='<img src="images/stars_1.gif">';
         elseif($rating==2) $i='<img src="images/stars_2.gif">';
         elseif($rating==3) $i='<img src="images/stars_3.gif">';
         elseif($rating==4) $i='<img src="images/stars_4.gif">';
         elseif($rating==5) $i='<img src="images/stars_5.gif">';
	  echo '<p class="col-sm-12">';
      //echo '  &quot;' . $feedback['feedback_text'] . '&quot;&nbsp;&nbsp;<small>(' . tep_date_short($feedback['date_added']) . ')</small>';
      echo '  &quot;' . $feedback['feedback_text'] . '&quot;';
      echo '  <br /><strong>' . $feedback['customers_name'] . '</strong><br />' . $i . '  <br /><br /><br />';
      echo '</p>';
    } 
?>
  </div>

<?php
  } else {
?>

  <div class="contentText">
    <div class="alert alert-info">
      <?php echo TEXT_NO_FEEDBACK; ?>
    </div>
  </div>

<?php
  }

  if (($feedback_split->number_of_rows > 0) && ((PREV_NEXT_BAR_LOCATION == '2') || (PREV_NEXT_BAR_LOCATION == '3'))) {
?>
  <div class="row">
    <div class="col-sm-6 pagenumber hidden-xs">
      <?php echo $feedback_split->display_count(TEXT_DISPLAY_NUMBER_OF_FEEDBACK_REVIEWS); ?>
    </div>
    <div class="col-sm-6">
      <span class="pull-right pagenav"><ul class="pagination"><?php echo $feedback_split->display_links(MAX_DISPLAY_PAGE_LINKS, tep_get_all_get_params(array('page', 'info'))); ?></ul></span>
      <span class="pull-right"><?php echo TEXT_RESULT_PAGE; ?></span>
    </div>
  </div>
<?php
  }
?>

  <p>&nbsp;</p>

  <div class="buttonSet">
    <div class="col-xs-6"><?php echo tep_draw_button(TEXT_BUTTON, 'fa fa-pencil', tep_href_link('feedback.php')); ?></div>
    <div class="col-xs-6 text-right"><span class="buttonAction"><?php echo tep_draw_button(IMAGE_BUTTON_CONTINUE, 'fa fa-angle-right', tep_href_link('index.php')); ?></span></div>
  </div>
  
</div>

<?php
  require('includes/template_bottom.php');
  require('includes/application_bottom.php');
?>